I recently built oprofile-0.94 and tried it out.

The release notes said that the bug
bug #1930788, opreport error: basic_string::erase
has been fixed but I still occasionally get this error from opreport. Do I have to use the kernel module 0.94 aswell to prevent this error? If so how do I make 0.94 build the kernel module aswell? I have tried with

./configure --with-kernel-support

but that doesn't build anything in module sub-directory. What am I missing?

I am sitting on Ubuntu 8.10 which still only uses version 0.93 of oprofile. Has anyone built any Ubuntu .deb packages for this version?


Thanks in advance,
Nordlöw